Bug 495782 - --nogpgcheck doesn't work in debuginfo-install
--nogpgcheck doesn't work in debuginfo-install
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 14:58 EDT by Bastien Nocera
Modified: 2014-01-21 18:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 16:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-04-14 14:58:08 EDT
yum-utils-1.1.21-2.fc11.noarch

# debuginfo-install --help | grep gpg
    --nogpgcheck        disable gpg signature checking
# debuginfo-install -y --nogpgcheck rhythmbox
Downloading Packages:
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 145, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 46, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 84, in main
    self.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 410, in doTransaction
    if self.gpgsigcheck(downloadpkgs) != 0:
  File "/usr/share/yum-cli/cli.py", line 514, in gpgsigcheck
    raise yum.Errors.YumBaseError, errmsg
yum.Errors.YumBaseError: Package pango-debuginfo-1.24.1-1.fc11.i586.rpm is not signed

It should obviously install the unsigned package, and carry on...
Comment 1 seth vidal 2009-04-15 16:00:42 EDT
The package in question - can you attach it? I'd like to make sure this isn't the broken sha256 issue we've been seeing popup all over the place.
thanks
Comment 2 Bug Zapper 2009-06-09 09:49:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 seth vidal 2009-10-09 16:30:50 EDT
I can't recreate this and I never got  response so I'm going to close this as insufficient data.

reopen if you can cause it again. thanks

Note You need to log in before you can comment on or make changes to this bug.